<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMapSettingsBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d8a/a06157.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMapSettingsBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Map settings base class.  
 <a href="../../d9/d8a/a06157.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionMapSettingsBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/d8a/a06157.png" usemap="#ExpansionMapSettingsBase_map" alt=""/>
  <map id="ExpansionMapSettingsBase_map" name="ExpansionMapSettingsBase_map">
<area href="../../d5/df8/a04353.html" alt="ExpansionSettingBase" shape="rect" coords="0,0,167,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ae0696bee57fe9541a2dd34bec1bc7118"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#ae0696bee57fe9541a2dd34bec1bc7118">EnableMap</a></td></tr>
<tr class="separator:ae0696bee57fe9541a2dd34bec1bc7118"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cf2590d68606d49a419aa2689ae3755"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a1cf2590d68606d49a419aa2689ae3755">UseMapOnMapItem</a></td></tr>
<tr class="memdesc:a1cf2590d68606d49a419aa2689ae3755"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Expansion Map.  <a href="../../d9/d8a/a06157.html#a1cf2590d68606d49a419aa2689ae3755">More...</a><br /></td></tr>
<tr class="separator:a1cf2590d68606d49a419aa2689ae3755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9019080bfb1b9d45e0020a2923b80d06"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a9019080bfb1b9d45e0020a2923b80d06">ShowPlayerPosition</a></td></tr>
<tr class="memdesc:a9019080bfb1b9d45e0020a2923b80d06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use Expansion Map On Map Item.  <a href="../../d9/d8a/a06157.html#a9019080bfb1b9d45e0020a2923b80d06">More...</a><br /></td></tr>
<tr class="separator:a9019080bfb1b9d45e0020a2923b80d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd4465563f25bde6e6fc2e069dc81e9a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#acd4465563f25bde6e6fc2e069dc81e9a">ShowMapStats</a></td></tr>
<tr class="memdesc:acd4465563f25bde6e6fc2e069dc81e9a"><td class="mdescLeft">&#160;</td><td class="mdescRight">0 = Player position is not visible | 1 = Player position is visible | 2 = Player position is visible if the player have a compass  <a href="../../d9/d8a/a06157.html#acd4465563f25bde6e6fc2e069dc81e9a">More...</a><br /></td></tr>
<tr class="separator:acd4465563f25bde6e6fc2e069dc81e9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c90408c283cf42e0a97b3cd3ff12b1b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a4c90408c283cf42e0a97b3cd3ff12b1b">NeedPenItemForCreateMarker</a></td></tr>
<tr class="memdesc:a4c90408c283cf42e0a97b3cd3ff12b1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show XYZ positions of markers.  <a href="../../d9/d8a/a06157.html#a4c90408c283cf42e0a97b3cd3ff12b1b">More...</a><br /></td></tr>
<tr class="separator:a4c90408c283cf42e0a97b3cd3ff12b1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3f8cd1f4af7bab48c8049dba271014e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#ab3f8cd1f4af7bab48c8049dba271014e">NeedGPSItemForCreateMarker</a></td></tr>
<tr class="memdesc:ab3f8cd1f4af7bab48c8049dba271014e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Require Pen Item to create markers.  <a href="../../d9/d8a/a06157.html#ab3f8cd1f4af7bab48c8049dba271014e">More...</a><br /></td></tr>
<tr class="separator:ab3f8cd1f4af7bab48c8049dba271014e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56ff657a1955a2d4fc6e36f46f8e17a6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a56ff657a1955a2d4fc6e36f46f8e17a6">CanCreateMarker</a></td></tr>
<tr class="memdesc:a56ff657a1955a2d4fc6e36f46f8e17a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Require GPS Item to create markers.  <a href="../../d9/d8a/a06157.html#a56ff657a1955a2d4fc6e36f46f8e17a6">More...</a><br /></td></tr>
<tr class="separator:a56ff657a1955a2d4fc6e36f46f8e17a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a362b61d38a0df4822118acdb4dfefdb2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a362b61d38a0df4822118acdb4dfefdb2">CanCreate3DMarker</a></td></tr>
<tr class="memdesc:a362b61d38a0df4822118acdb4dfefdb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allow player to create markers.  <a href="../../d9/d8a/a06157.html#a362b61d38a0df4822118acdb4dfefdb2">More...</a><br /></td></tr>
<tr class="separator:a362b61d38a0df4822118acdb4dfefdb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7da9507ae4ac8cf60ff1a7437393355c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a7da9507ae4ac8cf60ff1a7437393355c">CanOpenMapWithKeyBinding</a></td></tr>
<tr class="memdesc:a7da9507ae4ac8cf60ff1a7437393355c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allow player to create 3D markers.  <a href="../../d9/d8a/a06157.html#a7da9507ae4ac8cf60ff1a7437393355c">More...</a><br /></td></tr>
<tr class="separator:a7da9507ae4ac8cf60ff1a7437393355c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f4100ac8366a0bedc58a73d3e73b580"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a7f4100ac8366a0bedc58a73d3e73b580">ShowDistanceOnPersonalMarkers</a></td></tr>
<tr class="memdesc:a7f4100ac8366a0bedc58a73d3e73b580"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allow player to use a keybind to open the map.  <a href="../../d9/d8a/a06157.html#a7f4100ac8366a0bedc58a73d3e73b580">More...</a><br /></td></tr>
<tr class="separator:a7f4100ac8366a0bedc58a73d3e73b580"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b742e94beea6377d6e3d7614308173f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a4b742e94beea6377d6e3d7614308173f">EnableHUDGPS</a></td></tr>
<tr class="memdesc:a4b742e94beea6377d6e3d7614308173f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show the distance of personal markers.  <a href="../../d9/d8a/a06157.html#a4b742e94beea6377d6e3d7614308173f">More...</a><br /></td></tr>
<tr class="separator:a4b742e94beea6377d6e3d7614308173f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec40c5a315a2aac3d4369bf8fed7e6bc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#aec40c5a315a2aac3d4369bf8fed7e6bc">NeedGPSItemForKeyBinding</a></td></tr>
<tr class="memdesc:aec40c5a315a2aac3d4369bf8fed7e6bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable HUD GPS (bottom right corner after holding N)  <a href="../../d9/d8a/a06157.html#aec40c5a315a2aac3d4369bf8fed7e6bc">More...</a><br /></td></tr>
<tr class="separator:aec40c5a315a2aac3d4369bf8fed7e6bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c4dfceb2d2540592b3d8ba33a1a11aa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a4c4dfceb2d2540592b3d8ba33a1a11aa">NeedMapItemForKeyBinding</a></td></tr>
<tr class="memdesc:a4c4dfceb2d2540592b3d8ba33a1a11aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Require GPS Item to use the keybind.  <a href="../../d9/d8a/a06157.html#a4c4dfceb2d2540592b3d8ba33a1a11aa">More...</a><br /></td></tr>
<tr class="separator:a4c4dfceb2d2540592b3d8ba33a1a11aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a016624f90fd5aa741e248c988ff866ca"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a016624f90fd5aa741e248c988ff866ca">EnableServerMarkers</a></td></tr>
<tr class="memdesc:a016624f90fd5aa741e248c988ff866ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Require Map Item to use the keybind.  <a href="../../d9/d8a/a06157.html#a016624f90fd5aa741e248c988ff866ca">More...</a><br /></td></tr>
<tr class="separator:a016624f90fd5aa741e248c988ff866ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26e79765f30e05a02cc38333e96ecbbf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a26e79765f30e05a02cc38333e96ecbbf">ShowNameOnServerMarkers</a></td></tr>
<tr class="memdesc:a26e79765f30e05a02cc38333e96ecbbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show server markers.  <a href="../../d9/d8a/a06157.html#a26e79765f30e05a02cc38333e96ecbbf">More...</a><br /></td></tr>
<tr class="separator:a26e79765f30e05a02cc38333e96ecbbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a142769bb91a392b7bd9dc3db891d69ae"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a142769bb91a392b7bd9dc3db891d69ae">ShowDistanceOnServerMarkers</a></td></tr>
<tr class="memdesc:a142769bb91a392b7bd9dc3db891d69ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show the name of server markers.  <a href="../../d9/d8a/a06157.html#a142769bb91a392b7bd9dc3db891d69ae">More...</a><br /></td></tr>
<tr class="separator:a142769bb91a392b7bd9dc3db891d69ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43690dd2b57ed3b9e36e818cc42f6473"><td class="memItemLeft" align="right" valign="top">ref array&lt; ref <a class="el" href="../../d3/d0d/a04261.html">ExpansionMarkerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d8a/a06157.html#a43690dd2b57ed3b9e36e818cc42f6473">ServerMarkers</a></td></tr>
<tr class="memdesc:a43690dd2b57ed3b9e36e818cc42f6473"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show the distance of server markers.  <a href="../../d9/d8a/a06157.html#a43690dd2b57ed3b9e36e818cc42f6473">More...</a><br /></td></tr>
<tr class="separator:a43690dd2b57ed3b9e36e818cc42f6473"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Map settings base class. </p>
<p ><a class="el" href="../../d4/d9b/a02039.html">ExpansionMapSettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00016">16</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a362b61d38a0df4822118acdb4dfefdb2" name="a362b61d38a0df4822118acdb4dfefdb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a362b61d38a0df4822118acdb4dfefdb2">&#9670;&#160;</a></span>CanCreate3DMarker</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::CanCreate3DMarker</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Allow player to create markers. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00025">25</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a56ff657a1955a2d4fc6e36f46f8e17a6" name="a56ff657a1955a2d4fc6e36f46f8e17a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56ff657a1955a2d4fc6e36f46f8e17a6">&#9670;&#160;</a></span>CanCreateMarker</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::CanCreateMarker</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Require GPS Item to create markers. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00024">24</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a7da9507ae4ac8cf60ff1a7437393355c" name="a7da9507ae4ac8cf60ff1a7437393355c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7da9507ae4ac8cf60ff1a7437393355c">&#9670;&#160;</a></span>CanOpenMapWithKeyBinding</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::CanOpenMapWithKeyBinding</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Allow player to create 3D markers. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00026">26</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a4b742e94beea6377d6e3d7614308173f" name="a4b742e94beea6377d6e3d7614308173f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b742e94beea6377d6e3d7614308173f">&#9670;&#160;</a></span>EnableHUDGPS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::EnableHUDGPS</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Show the distance of personal markers. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00028">28</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="ae0696bee57fe9541a2dd34bec1bc7118" name="ae0696bee57fe9541a2dd34bec1bc7118"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0696bee57fe9541a2dd34bec1bc7118">&#9670;&#160;</a></span>EnableMap</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::EnableMap</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00018">18</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a016624f90fd5aa741e248c988ff866ca" name="a016624f90fd5aa741e248c988ff866ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a016624f90fd5aa741e248c988ff866ca">&#9670;&#160;</a></span>EnableServerMarkers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::EnableServerMarkers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Require Map Item to use the keybind. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00031">31</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="ab3f8cd1f4af7bab48c8049dba271014e" name="ab3f8cd1f4af7bab48c8049dba271014e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3f8cd1f4af7bab48c8049dba271014e">&#9670;&#160;</a></span>NeedGPSItemForCreateMarker</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::NeedGPSItemForCreateMarker</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Require Pen Item to create markers. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00023">23</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="aec40c5a315a2aac3d4369bf8fed7e6bc" name="aec40c5a315a2aac3d4369bf8fed7e6bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec40c5a315a2aac3d4369bf8fed7e6bc">&#9670;&#160;</a></span>NeedGPSItemForKeyBinding</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::NeedGPSItemForKeyBinding</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable HUD GPS (bottom right corner after holding N) </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00029">29</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a4c4dfceb2d2540592b3d8ba33a1a11aa" name="a4c4dfceb2d2540592b3d8ba33a1a11aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c4dfceb2d2540592b3d8ba33a1a11aa">&#9670;&#160;</a></span>NeedMapItemForKeyBinding</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::NeedMapItemForKeyBinding</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Require GPS Item to use the keybind. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00030">30</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a4c90408c283cf42e0a97b3cd3ff12b1b" name="a4c90408c283cf42e0a97b3cd3ff12b1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c90408c283cf42e0a97b3cd3ff12b1b">&#9670;&#160;</a></span>NeedPenItemForCreateMarker</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::NeedPenItemForCreateMarker</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Show XYZ positions of markers. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00022">22</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a43690dd2b57ed3b9e36e818cc42f6473" name="a43690dd2b57ed3b9e36e818cc42f6473"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43690dd2b57ed3b9e36e818cc42f6473">&#9670;&#160;</a></span>ServerMarkers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref array&lt; ref <a class="el" href="../../d3/d0d/a04261.html">ExpansionMarkerData</a> &gt; ExpansionMapSettingsBase::ServerMarkers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Show the distance of server markers. </p>
<p >WARNING, Do not send over ExpansionMapSettings as a variable, use OnSend. Failure will result in ServerMarkers incurring a memory leak on the client. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00037">37</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a7f4100ac8366a0bedc58a73d3e73b580" name="a7f4100ac8366a0bedc58a73d3e73b580"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f4100ac8366a0bedc58a73d3e73b580">&#9670;&#160;</a></span>ShowDistanceOnPersonalMarkers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::ShowDistanceOnPersonalMarkers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Allow player to use a keybind to open the map. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00027">27</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a142769bb91a392b7bd9dc3db891d69ae" name="a142769bb91a392b7bd9dc3db891d69ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a142769bb91a392b7bd9dc3db891d69ae">&#9670;&#160;</a></span>ShowDistanceOnServerMarkers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::ShowDistanceOnServerMarkers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Show the name of server markers. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00033">33</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="acd4465563f25bde6e6fc2e069dc81e9a" name="acd4465563f25bde6e6fc2e069dc81e9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd4465563f25bde6e6fc2e069dc81e9a">&#9670;&#160;</a></span>ShowMapStats</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::ShowMapStats</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>0 = Player position is not visible | 1 = Player position is visible | 2 = Player position is visible if the player have a compass </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00021">21</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a26e79765f30e05a02cc38333e96ecbbf" name="a26e79765f30e05a02cc38333e96ecbbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26e79765f30e05a02cc38333e96ecbbf">&#9670;&#160;</a></span>ShowNameOnServerMarkers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::ShowNameOnServerMarkers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Show server markers. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00032">32</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a9019080bfb1b9d45e0020a2923b80d06" name="a9019080bfb1b9d45e0020a2923b80d06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9019080bfb1b9d45e0020a2923b80d06">&#9670;&#160;</a></span>ShowPlayerPosition</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMapSettingsBase::ShowPlayerPosition</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Use Expansion Map On Map Item. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00020">20</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<a id="a1cf2590d68606d49a419aa2689ae3755" name="a1cf2590d68606d49a419aa2689ae3755"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cf2590d68606d49a419aa2689ae3755">&#9670;&#160;</a></span>UseMapOnMapItem</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMapSettingsBase::UseMapOnMapItem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Enable Expansion Map. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d9b/a02039_source.html#l00019">19</a> of file <a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Navigation/Scripts/3_game/dayzexpansion_navigation/<a class="el" href="../../d4/d9b/a02039_source.html">expansionmapsettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d8a/a06157.html">ExpansionMapSettingsBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
